module MoodeAutoDeployKit module Remote

  def remote_server
    $config.deployer_host
  end

  def base_options
    { 
      :body => {
        :app_name => $config.app_name,
        :app_server => $config.app_server,
        :db_name => $config.db_name,
        :db_user_name => $config.db_user_name,
        :db_user_password => $config.db_user_password,
        :repository_name => repository_name,
        :repository_branch_remote => $config.repository_branch_remote
      }
    }
  end

  def repository_name
    $config.repository_url.match(/^.*\/(.*)\.git$/)[1]
  end

end end