#!/usr/bin/bash

[ -s "$HOME/.rvm/scripts/rvm" ] && . "$HOME/.rvm/scripts/rvm"
rvm rvmrc load $APP_WWW_RVMRC
cd $APP_WWW_DIR
bundle install && mdk
cd $APP_DIR

ssh -i $APP_SERVER_USER_KEY $APP_SERVER_USER_NAME@$APP_SERVER "rm -fr $APP_DIR_APP_SERVER"
scp -i $APP_SERVER_USER_KEY -r $APP_DIR $APP_SERVER_USER_NAME@$APP_SERVER:$APP_DIR_APP_SERVER
ssh -i $APP_SERVER_USER_KEY $APP_SERVER_USER_NAME@$APP_SERVER "[[ -s \"$HOME/.rvm/scripts/rvm\" ]] && source \"$HOME/.rvm/scripts/rvm\" && bundle install --gemfile $APP_GEMFILE_APP_SERVER"
