require 'httparty'

module MoodeAutoDeployKit
  module RemoteDomain
    include Remote

    def create_domain
      response = HTTParty.post(create_domain_url, create_domain_options)
      puts response.body, response.code, response.message
    end

    private

    def create_domain_url
      "#{remote_server}/domain"
    end

    def create_domain_options
      options = base_options
      options[:body][:dns_name] = $config.dns_name
      options
    end
  end 
end
