require 'httparty'

module MoodeAutoDeployKit
  module RemoteJob
    include Remote

    def create_job
      response = HTTParty.post(create_job_url, create_job_options)
      puts response.body, response.code, response.message
    end

    private

    def create_job_url
      "#{remote_server}/job"
    end

    def create_job_options
      options = base_options
      options[:body][:job_name] = $config.job_name
      options
    end
  end 
end
